Loading...
Searching...
No Matches
Opm::GlobalWellInfo< Scalar > Class Template Reference

## Public Member Functions

template<typename Comm>
void | communicate (const Comm &comm)
| GlobalWellInfo (const Schedule &sched, std::size_t report_step, const std::vector< Well > &local_wells)
bool | in_producing_group (const std::string &wname) const
bool | in_injecting_group (const std::string &wname) const
bool | is_open (const std::string &wname) const
std::size_t | well_index (const std::string &wname) const
const std::string & | well_name (std::size_t well_index) const
void | update_injector (std::size_t well_index, WellStatus well_status, WellInjectorCMode injection_cmode)
void | update_producer (std::size_t well_index, WellStatus well_status, WellProducerCMode production_cmode)
void | update_efficiency_scaling_factor (std::size_t well_index, const Scalar efficiency_scaling_factor)
Scalar | efficiency_scaling_factor (const std::string &wname) const
void | clear ()
bool | isRank0 () const

The documentation for this class was generated from the following files:

- opm/simulators/wells/GlobalWellInfo.hpp
- opm/simulators/wells/GlobalWellInfo.cpp